## MLton 20241230+git20251029+dfsg-5

# XMLSimplify

The optimization passes for the XML IntermediateLanguage are collected and controlled by the `XmlSimplify` functor (`xml-simplify.sig`, `xml-simplify.fun`).

The following optimization passes are implemented:

- XMLSimplifyTypes

- XMLShrink

The optimization passes can be controlled from the command-line by the options

- `-diag-pass <pass>`— keep diagnostic info for pass

- `-disable-pass <pass>`— skip optimization pass (if normally performed)

- `-enable-pass <pass>`— perform optimization pass (if normally skipped)

- `-keep-pass <pass>`— keep the results of pass

- `-xml-passes <passes>`— xml optimization passes